#!/bin/bash
#
# wma2mp3.sh - script to convert wma files to mp3 with mplayer.
# Copyright (C) 2002-2004 Oskar Andreasson
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  
# USA

for file in ./*.[Ww][Mm][Aa] ; do
		mplayer -ao pcm -vc null -vo null -waveheader "$file"
		mp3file=`basename "$file" .wma`.mp3
		echo $mp3file
		toolame audiodump.wav "$mp3file"
		rm -f audiodump.wav
done
